Bug 177730 - Tomboy crashes on second screen
Tomboy crashes on second screen
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: tomboy (Show other bugs)
rawhide
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks: FC5Blocker
  Show dependency treegraph
 
Reported: 2006-01-13 11:09 EST by Jonathan Corbet
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-17 13:21:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Corbet 2006-01-13 11:09:29 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686 (x86_64); en-US; rv:1.8) Gecko/20051111 Firefox/1.5

Description of problem:
So I decided to give Tomboy a try.  First window comes up fine.  Entered some text, selected "link to a new window."  Tried to edit text in second window, got a crash.

Version-Release number of selected component (if applicable):
tomboy-0.3.3-4

How reproducible:
Always

Steps to Reproduce:
1. Start tomboy
2. Create second window
3. Start deleting the "describe your new note here" text
  

Actual Results:  Crashed

Expected Results:  Should have not crashed

Additional info:

(Tomboy:459): Gtk-WARNING **: A tag named 'gtkspell-misspelled' is already in the tag table.

(Tomboy:459): Gtk-CRITICAL **: gtk_text_iter_has_tag: assertion `GTK_IS_TEXT_TAG (tag)' failed

(Tomboy:459): Gtk-CRITICAL **: gtk_text_iter_has_tag: assertion `GTK_IS_TEXT_TAG (tag)' failed

(Tomboy:459): Gtk-CRITICAL **: gtk_text_buffer_remove_tag: assertion `GTK_IS_TEXT_TAG (tag)' failed
Saving 'Tomboy top page'...
Saving 'Errands to do'...

=================================================================
Got a SIGSEGV while executing native code. This usually indicates
a fatal error in the mono runtime or one of the native libraries
used by your application.
=================================================================

Stacktrace:

in <0xb> (wrapper managed-to-native) Gtk.Application:gtk_main ()
in <0xffffffffffffffc8> (wrapper managed-to-native) Gtk.Application:gtk_main ()
in <0x8> Gtk.Application:Run ()
in <0xc> Gnome.Program:Run ()
in <0x4c> Tomboy.Tomboy:StartTrayIcon ()
in <0x14d> Tomboy.Tomboy:Main (string[])
in <0xffffffffc04370bf> (wrapper runtime-invoke) System.Object:runtime_invoke_void_string[] (object,intptr,intptr,intptr)

Native stacktrace:

        mono(mono_handle_native_sigsegv+0x88) [0x4f1711]
        mono [0x4c0210]
        /lib64/libpthread.so.0 [0x3bef60cbe0]
        /usr/lib64/libgtk-x11-2.0.so.0(gtk_text_iter_has_tag+0x23) [0x30f297c9f2]
        /usr/lib64/libgtkspell.so.0 [0x3759a02eae]
        /usr/lib64/libgtkspell.so.0 [0x3759a03604]
        /usr/lib64/libgobject-2.0.so.0(g_closure_invoke+0x110) [0x3bf1a0ae66]
        /usr/lib64/libgobject-2.0.so.0 [0x3bf1a1a9e7]
        /usr/lib64/libgobject-2.0.so.0(g_signal_emit_valist+0x75d) [0x3bf1a1b5a5]
        /usr/lib64/libgobject-2.0.so.0(g_signal_emit+0x83) [0x3bf1a1b838]
        /usr/lib64/libgtk-x11-2.0.so.0(gtk_text_buffer_delete_interactive+0x28b) [0x30f29765ad]
        /usr/lib64/libgtk-x11-2.0.so.0(gtk_text_buffer_delete_selection+0x6d) [0x30f2976bd1]
        /usr/lib64/libgtk-x11-2.0.so.0 [0x30f298fafc]
        /usr/lib64/libgobject-2.0.so.0(g_closure_invoke+0x110) [0x3bf1a0ae66]
        /usr/lib64/libgobject-2.0.so.0 [0x3bf1a1a3fb]
        /usr/lib64/libgobject-2.0.so.0(g_signal_emit_valist+0x75d) [0x3bf1a1b5a5]
        /usr/lib64/libgobject-2.0.so.0(g_signal_emit_by_name+0x158) [0x3bf1a1c896]
        /usr/lib64/libgobject-2.0.so.0(g_closure_invoke+0x110) [0x3bf1a0ae66]
        /usr/lib64/libgobject-2.0.so.0 [0x3bf1a1a3fb]
        /usr/lib64/libgobject-2.0.so.0(g_signal_emit_valist+0x75d) [0x3bf1a1b5a5]
        /usr/lib64/libgobject-2.0.so.0(g_signal_emit_by_name+0x158) [0x3bf1a1c896]
        /usr/lib64/libgtk-x11-2.0.so.0 [0x30f28f56e2]
        /usr/lib64/libgtk-x11-2.0.so.0 [0x30f28f5cb0]
        /usr/lib64/libgtk-x11-2.0.so.0 [0x30f2994260]
        /usr/lib64/libgtk-x11-2.0.so.0 [0x30f290f6f0]
        /usr/lib64/libgobject-2.0.so.0(g_closure_invoke+0x1db) [0x3bf1a0af31]
        /usr/lib64/libgobject-2.0.so.0 [0x3bf1a1a824]
        /usr/lib64/libgobject-2.0.so.0(g_signal_emit_valist+0x5d8) [0x3bf1a1b420]
        /usr/lib64/libgobject-2.0.so.0(g_signal_emit+0x83) [0x3bf1a1b838]
        /usr/lib64/libgtk-x11-2.0.so.0 [0x30f29d6dc7]
        /usr/lib64/libgtk-x11-2.0.so.0(gtk_window_propagate_key_event+0xd2) [0x30f29e31b1]
        /usr/lib64/libgtk-x11-2.0.so.0 [0x30f29e56fc]
        /usr/lib64/libgtk-x11-2.0.so.0 [0x30f290f6f0]
        /usr/lib64/libgobject-2.0.so.0(g_closure_invoke+0x110) [0x3bf1a0ae66]
        /usr/lib64/libgobject-2.0.so.0 [0x3bf1a1a824]
        /usr/lib64/libgobject-2.0.so.0(g_signal_emit_valist+0x5d8) [0x3bf1a1b420]
        /usr/lib64/libgobject-2.0.so.0(g_signal_emit+0x83) [0x3bf1a1b838]
        /usr/lib64/libgtk-x11-2.0.so.0 [0x30f29d6dc7]
        /usr/lib64/libgtk-x11-2.0.so.0(gtk_propagate_event+0x189) [0x30f290abdd]        /usr/lib64/libgtk-x11-2.0.so.0(gtk_main_do_event+0x2ea) [0x30f290b881]
        /usr/lib64/libgdk-x11-2.0.so.0 [0x30f264267f]
        /usr/lib64/libglib-2.0.so.0(g_main_context_dispatch+0x1a8) [0x3bf1024b77]
        /usr/lib64/libglib-2.0.so.0 [0x3bf10277fb]
        /usr/lib64/libglib-2.0.so.0(g_main_loop_run+0x1a5) [0x3bf1027aeb]
        /usr/lib64/libgtk-x11-2.0.so.0(gtk_main+0xa3) [0x30f290bbf5]
        [0x404e606d]
Comment 1 Jonathan Corbet 2006-01-14 17:38:43 EST
Update on Jan 14: version 0.3.3-5 just obtained from the rawhide repository
would appear to have fixed this problem; I can't make it crash now.  That was quick!
Comment 2 Christopher Aillon 2006-01-17 13:21:36 EST
Okay, thanks for the update.  Resolving.

Note You need to log in before you can comment on or make changes to this bug.